clang 8.0.0

Public Attributes | List of all members
CXVersion Struct Reference
libclang: C Interface to Clang

Describes a version number of the form major.minor.subminor. More...

`#include "clang-c/Index.h"`

Collaboration diagram for CXVersion:
[legend]

## Public Attributes
int | Major
| The major version number, e.g., the '10' in '10.7.3'. More...
int | Minor
| The minor version number, e.g., the '7' in '10.7.3'. More...
int | Subminor
| The subminor version number, e.g., the '3' in '10.7.3'. More...

## Detailed Description

Describes a version number of the form major.minor.subminor.

Definition at line 155 of file Index.h.

## Member Data Documentation

## ◆ Major

int CXVersion::Major

The major version number, e.g., the '10' in '10.7.3'.

A negative value indicates that there is no version number at all.

Definition at line 160 of file Index.h.

## ◆ Minor

int CXVersion::Minor

The minor version number, e.g., the '7' in '10.7.3'.

This value will be negative if no minor version number was provided, e.g., for version '10'.

Definition at line 166 of file Index.h.

## ◆ Subminor

int CXVersion::Subminor

The subminor version number, e.g., the '3' in '10.7.3'.

This value will be negative if no minor or subminor version number was provided, e.g., in version '10' or '10.7'.

Definition at line 172 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h